Bug 1666351 - Add ssdd test to the rt-tests suite
Summary: Add ssdd test to the rt-tests suite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rt-tests
Version: 8.1
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: John Kacur
QA Contact: Qiao Zhao
Eliane Ramos Pereira
URL:
Whiteboard:
Depends On: 1682428
Blocks: 1701002 1649535
TreeView+ depends on / blocked
 
Reported: 2019-01-15 15:36 UTC by John Kacur
Modified: 2019-11-18 18:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.The `ssdd` test has been added to RHEL for Real Time 8 The `ssdd` test has been added to enable stress testing of the tracing subsystem. The test runs multiple tracing threads to verify locking is correct within the tracing system.
Clone Of:
Environment:
Last Closed: 2019-11-05 20:35:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Add ssdd test (9.73 KB, patch)
2019-04-26 09:59 UTC, John Kacur
no flags Details | Diff
Incorporate ssdd into the Makefile (1.33 KB, patch)
2019-04-26 09:59 UTC, John Kacur
no flags Details | Diff
make ssdd functions static (1.64 KB, patch)
2019-04-26 10:00 UTC, John Kacur
no flags Details | Diff
ssdd remove unncessary sleeps (1.45 KB, patch)
2019-04-26 10:01 UTC, John Kacur
no flags Details | Diff
ssdd change written pid (1.37 KB, patch)
2019-04-26 10:02 UTC, John Kacur
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3308 None None None 2019-11-05 20:36:17 UTC

Description John Kacur 2019-01-15 15:36:33 UTC
Add the ssdd test to the rt-tests suite

Comment 5 John Kacur 2019-04-26 09:59:09 UTC
Created attachment 1558964 [details]
Add ssdd test

Comment 6 John Kacur 2019-04-26 09:59:56 UTC
Created attachment 1558965 [details]
Incorporate ssdd into the Makefile

Comment 7 John Kacur 2019-04-26 10:00:30 UTC
Created attachment 1558966 [details]
make ssdd functions static

Comment 8 John Kacur 2019-04-26 10:01:03 UTC
Created attachment 1558967 [details]
ssdd remove unncessary sleeps

Comment 9 John Kacur 2019-04-26 10:02:08 UTC
Created attachment 1558969 [details]
ssdd change written pid

Comment 11 John Kacur 2019-04-26 10:06:44 UTC
Fixed in rt-tests-1.3-17

Comment 17 Eliane Ramos Pereira 2019-07-15 08:05:36 UTC
Hi John,

Could you provide a review on the Doc Text, from the SME perspective, please?

Many thanks in advance

Comment 18 Clark Williams 2019-07-15 14:38:15 UTC
(In reply to Eliane Ramos Pereira from comment #17)
> Hi John,
> 
> Could you provide a review on the Doc Text, from the SME perspective, please?
> 
> Many thanks in advance

John's on PTO, so I'll try and fill in for him. I'd make a slight change to the Doc Text:

===

The `ssdd` test has been added to stress test the tracing subsystem. The test runs multiple tracing threads to verify locking is correct within the tracing system. 

===

The original implies that we're verifying locking globally, while in fact we're just checking that locking within the trace subsystem is working properly and that no data corruption occurs due to incorrect locking.

Comment 21 errata-xmlrpc 2019-11-05 20:35:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3308


Note You need to log in before you can comment on or make changes to this bug.